gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.AssistantPage

Contents

- Exported types
- Methods
  - getChild
- Properties
  - child
  - complete
  - pageType
  - title

Description

`GtkAssistantPage` is an auxiliary object used by `GtkAssistant`.

Synopsis

- newtype AssistantPage = AssistantPage (ManagedPtr AssistantPage)
- class (GObject o, IsDescendantOf AssistantPage o) => IsAssistantPage o
- toAssistantPage :: (MonadIO m, IsAssistantPage o) => o -> m AssistantPage
- assistantPageGetChild :: (HasCallStack, MonadIO m, IsAssistantPage a) => a -> m Widget
- constructAssistantPageChild :: (IsAssistantPage o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o)
- getAssistantPageChild :: (MonadIO m, IsAssistantPage o) => o -> m Widget
- constructAssistantPageComplete :: (IsAssistantPage o, MonadIO m) => Bool -> m (GValueConstruct o)
- getAssistantPageComplete :: (MonadIO m, IsAssistantPage o) => o -> m Bool
- setAssistantPageComplete :: (MonadIO m, IsAssistantPage o) => o -> Bool -> m ()
- constructAssistantPagePageType :: (IsAssistantPage o, MonadIO m) => AssistantPageType -> m (GValueConstruct o)
- getAssistantPagePageType :: (MonadIO m, IsAssistantPage o) => o -> m AssistantPageType
- setAssistantPagePageType :: (MonadIO m, IsAssistantPage o) => o -> AssistantPageType -> m ()
- clearAssistantPageTitle :: (MonadIO m, IsAssistantPage o) => o -> m ()
- constructAssistantPageTitle :: (IsAssistantPage o, MonadIO m) => Text -> m (GValueConstruct o)
- getAssistantPageTitle :: (MonadIO m, IsAssistantPage o) => o -> m (Maybe Text)
- setAssistantPageTitle :: (MonadIO m, IsAssistantPage o) => o -> Text -> m ()

# Exported types

newtype AssistantPage Source #

Memory-managed wrapper type.

Constructors

AssistantPage (ManagedPtr AssistantPage) |

#### Instances

Instances details

Eq AssistantPage Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage Methods (==) :: AssistantPage -> AssistantPage -> Bool Source # (/=) :: AssistantPage -> AssistantPage -> Bool Source #
GObject AssistantPage Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage
ManagedPtrNewtype AssistantPage Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage Methods toManagedPtr :: AssistantPage -> ManagedPtr AssistantPage Source #
TypedObject AssistantPage Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage Methods glibType :: IO GType Source #
HasParentTypes AssistantPage Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage
IsGValue (Maybe AssistantPage) Source # | Convert `AssistantPage` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.AssistantPage Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AssistantPage -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AssistantPage) Source #
type ParentTypes AssistantPage Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage type ParentTypes AssistantPage = '[Object]

class (GObject o, IsDescendantOf AssistantPage o) => IsAssistantPage o Source #

Type class for types which can be safely cast to `AssistantPage`, for instance with `toAssistantPage`.

#### Instances

Instances details

(GObject o, IsDescendantOf AssistantPage o) => IsAssistantPage o Source # |
Instance details Defined in GI.Gtk.Objects.AssistantPage

toAssistantPage :: (MonadIO m, IsAssistantPage o) => o -> m AssistantPage Source #

Cast to `AssistantPage`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getChild, getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## getChild

assistantPageGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsAssistantPage a) |
=> a | `page`: a `GtkAssistantPage`
-> m Widget | Returns: the child to which `page` belongs

Deprecated: (Since version 4.10)This widget will be removed in GTK 5

Returns the child to which `page` belongs.

# Properties

## child

The child widget.

constructAssistantPageChild :: (IsAssistantPage o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`child`” property. This is rarely needed directly, but it is used by `new`.

getAssistantPageChild :: (MonadIO m, IsAssistantPage o) => o -> m Widget Source #

Get the value of the “`child`” property. When overloading is enabled, this is equivalent to

    get assistantPage #child

## complete

Whether all required fields are filled in.

GTK uses this information to control the sensitivity of the navigation buttons.

constructAssistantPageComplete :: (IsAssistantPage o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`complete`” property. This is rarely needed directly, but it is used by `new`.

getAssistantPageComplete :: (MonadIO m, IsAssistantPage o) => o -> m Bool Source #

Get the value of the “`complete`” property. When overloading is enabled, this is equivalent to

    get assistantPage #complete

setAssistantPageComplete :: (MonadIO m, IsAssistantPage o) => o -> Bool -> m () Source #

Set the value of the “`complete`” property. When overloading is enabled, this is equivalent to

    set assistantPage [ #complete := value ]

## pageType

The type of the assistant page.

constructAssistantPagePageType :: (IsAssistantPage o, MonadIO m) => AssistantPageType -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`page-type`” property. This is rarely needed directly, but it is used by `new`.

getAssistantPagePageType :: (MonadIO m, IsAssistantPage o) => o -> m AssistantPageType Source #

Get the value of the “`page-type`” property. When overloading is enabled, this is equivalent to

    get assistantPage #pageType

setAssistantPagePageType :: (MonadIO m, IsAssistantPage o) => o -> AssistantPageType -> m () Source #

Set the value of the “`page-type`” property. When overloading is enabled, this is equivalent to

    set assistantPage [ #pageType := value ]

## title

The title of the page.

clearAssistantPageTitle :: (MonadIO m, IsAssistantPage o) => o -> m () Source #

Set the value of the “`title`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #title

constructAssistantPageTitle :: (IsAssistantPage o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`title`” property. This is rarely needed directly, but it is used by `new`.

getAssistantPageTitle :: (MonadIO m, IsAssistantPage o) => o -> m (Maybe Text) Source #

Get the value of the “`title`” property. When overloading is enabled, this is equivalent to

    get assistantPage #title

setAssistantPageTitle :: (MonadIO m, IsAssistantPage o) => o -> Text -> m () Source #

Set the value of the “`title`” property. When overloading is enabled, this is equivalent to

    set assistantPage [ #title := value ]